Summary:   A fast, scalable, and memory-efficient multithreaded memory allocator
Name:      libhoard
Version:   2.0
Release:   1
URL:       http://www.hoard.org
Source:    http://www.cs.utexas.edu/users/emery/hoard/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     System Environment/Libraries
BuildRoot: /tmp/%{name}-%{version}-root

%description
The Hoard memory allocator is a fast, scalable, and memory-efficient
memory allocator for shared-memory multiprocessors.

%package devel
Summary:  header files and libraries for Hoard development
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package includes the header files and libraries needed for
developing programs using the Hoard library.

%prep

%setup -q

%build
./configure --prefix=/usr

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc benchmarks docs AUTHORS ChangeLog NEWS README
/usr/lib/lib*.so.*.*

%files devel
%defattr(-,root,root)
/usr/lib/lib*.a
/usr/lib/lib*.so

%changelog
* Sat Mar 25 2000 Arne Coucheron <arneco@online.no>
  [2.0-1]
- changed URL

* Sun Jan 30 2000 Arne Coucheron <arneco@online.no>
  [1.4.2-1]

* Thu Jan 13 2000 Arne Coucheron <arneco@online.no>
  [1.4.1-1]

* Sat Dec 04 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- first try at rpm package